---
title: postfix_relay
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.postfix_relay) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.postfix_relay?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.postfix_relay) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE) 

Setup postfix as mail relay.

* [Default Variables](#default-variables)
  * [postfix_relay_auth_password](#postfix_relay_auth_password)
  * [postfix_relay_auth_user](#postfix_relay_auth_user)
  * [postfix_relay_relaydomain](#postfix_relay_relaydomain)
  * [postfix_relay_relayhost](#postfix_relay_relayhost)
  * [postfix_relay_relayport](#postfix_relay_relayport)
  * [postfix_relay_senders](#postfix_relay_senders)
  * [postfix_relay_smtpd_banner](#postfix_relay_smtpd_banner)
* [Dependencies](#dependencies)

---

## Default Variables

### postfix_relay_auth_password

#### Default value

```YAML
postfix_relay_auth_password: pass01
```

### postfix_relay_auth_user

#### Default value

```YAML
postfix_relay_auth_user: user01
```

### postfix_relay_relaydomain

#### Default value

```YAML
postfix_relay_relaydomain: smtp.org
```

### postfix_relay_relayhost

#### Default value

```YAML
postfix_relay_relayhost: test.{{ postfix_relay_relaydomain }}
```

### postfix_relay_relayport

#### Default value

```YAML
postfix_relay_relayport: '587'
```

### postfix_relay_senders

#### Default value

```YAML
postfix_relay_senders:
  - user: root
    address: '{{ ansible_hostname }}@{{ postfix_relay_relaydomain }}'
```

### postfix_relay_smtpd_banner

`smtpd_banner` contains $myhostname by default and can't be removed. Options from the list will be appended.

#### Default value

```YAML
postfix_relay_smtpd_banner:
  - ESMTP
  - $mail_name
```

## Dependencies

None.
